Package org.apache.ignite.internal.processors.query.stat

## Class StatisticsTarget

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.StatisticsTarget

    public class StatisticsTarget
    extends Object

Target to collect statistics by.

### Constructor Summary

Constructors
`StatisticsTarget​(String schema, String obj, String... columns)` Constructor.
`StatisticsTarget​(StatisticsKey key, String... columns)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `columns()` Columns array.
`boolean` `equals​(Object o)`
`int` `hashCode()`
`StatisticsKey` `key()` Statistic key (schema and table name).
`String` `obj()` Object name.
`String` `schema()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StatisticsTarget

    public StatisticsTarget​(String schema,
                            String obj,
                            String... columns)

Constructor.

Parameters:
  `schema` - Schema name.
  `obj` - Object name.
  `columns` - Array of column names or `null` if target - all columns.

#### StatisticsTarget

    public StatisticsTarget​(StatisticsKey key,
                            String... columns)

Constructor.

Parameters:
  `key` - Statistic key.
  `columns` - Array of column names or `null` if target - all columns.

### Method Detail

#### schema

    public String schema()

Returns:
  Schema name.

#### obj

    public String obj()

Object name.

#### columns

    public String[] columns()

Columns array.

#### key

    public StatisticsKey key()

Statistic key (schema and table name).

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`